Bug 114506 - bad file names used in src.rpm
Summary: bad file names used in src.rpm
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhn-applet   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-28 20:48 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 16:13:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2004-01-28 20:48:03 UTC
Description of problem:

OK, so this is a hot button for me but I believe it is a very bad
practice.

The rhn-applet src.rpm has three files: applet.spec, version, and
rhn-applet-<version>.tar.gz where <version> is somethoing like 2.1.7

IMHO, the only correctly named file is the tarball!

1.  The spec file should be named something like rhn-applet.spec or
rhn-applet-<some_other_stuff>.spec

2.  The file "version" is really silly.  Again, it should be named
something like rhn-applet.version

Consider when a single build environment has two different packages
both of which have a file "version" but which are completely different.

There is not reason not to avoid filename collisions.

Comment 1 Adrian Likins 2005-10-04 20:47:31 UTC
I tend to agree...

Comment 2 John Thacker 2006-04-21 16:13:54 UTC
It is silly, but OTOH it's not a critical or security bug, and since rhn-applet
isn't being actively developed anymore, it's not likely to get fixed.


Note You need to log in before you can comment on or make changes to this bug.